apiVersion: apps/v1
kind: Deployment
metadata:
  name: stock
spec:
  replicas: 1
  selector:
    matchLabels:
      app: stock
  template:
    metadata:
      labels:
        app: stock
        psql: external
      annotations:
        vault.hashicorp.com/agent-inject: 'true'
        vault.hashicorp.com/role: 'internal-app'
        vault.hashicorp.com/agent-inject-secret-database: 'internal/shop/stock/keycloak'
        vault.hashicorp.com/agent-inject-template-database: |
          {{- with secret "internal/shop/stock/keycloak" -}}
            export KEYCLOAK_ID="{{ .Data.data.KEYCLOAK_ID }}"
            export KEYCLOAK_ISSUER="{{ .Data.data.KEYCLOAK_ISSUER }}"
            export KEYCLOAK_SECRET="{{ .Data.data.KEYCLOAK_SECRET }}"
          {{- end }}
        vault.hashicorp.com/agent-inject-secret-admin: 'internal/shop/stock/nextauth'
        vault.hashicorp.com/agent-inject-template-admin: |
          {{- with secret "internal/shop/stock/nextauth" -}}
            export NEXTAUTH_SECRET="{{ .Data.data.NEXTAUTH_SECRET }}"
            export NEXTAUTH_URL="{{ .Data.data.NEXTAUTH_URL }}"
          {{- end }}
    spec:
      serviceAccountName: internal-app
      containers:
        - name: application-container
          image: registry.gitlab.com/danny-verpoort/shop/frontend/shop-admin:latest
          command:
            [ 'sh', '-c' ]
          args:
            [ 'source /vault/secrets/database && source /vault/secrets/admin && yarn run start' ]
          ports:
            - containerPort: 3000
